List Commitments
Function name:m3ter_ListCommitments
Category: READ
HTTP method: GET (paginated)
Destination: m3ter
Retrieve a list of Commitments.
Retrieves a list of all Commitments associated with an Organization. This endpoint supports pagination and includes various query parameters to filter the Commitments based on Account, Product, date, and end dates.
Parameters
Exits
Create Commitment
Function name:m3ter_PostCommitment
Category: WRITE
HTTP method: POST
Destination: m3ter
Create a new Commitment.
Creates a new Commitment for an Organization. The request body must include all the necessary details such as the agreed amount, overage surcharge percentage, and the associated account and product details.
Note: If some of the agreed Commitment amount remains unpaid at the start of an end-customer contract period, when you create a Commitment for an Account you can set up billing for the outstanding amount in one of two ways:
- Select a Product Plan to bill with. Use the
billingPlanIdrequest parameter to select the Plan used for billing. - Define a schedule of billing dates. Omit a
billingPlanIdand use thefeeDatesrequest parameter to define a precise schedule of bill dates and amounts.
Parameters
Exits
Search Commitments
Function name:m3ter_SearchCommitments
Category: READ
HTTP method: GET (paginated)
Destination: m3ter
Search for commitment entities.
This endpoint executes a search query for Commitments based on the user specified search criteria. The search query is customizable, allowing for complex nested conditions and sorting. The returned list of Commitments can be paginated for easier management.
Parameters
Exits
Retrieve Commitment
Function name:m3ter_GetCommitment
Category: READ
HTTP method: GET
Destination: m3ter
Retrieve a specific Commitment.
Retrieve the details of the Commitment with the given UUID. It provides comprehensive information about the Commitment, such as the agreed amount, overage surcharge percentage, and other related details.
Parameters
Exits
Update Commitment
Function name:m3ter_PutCommitment
Category: WRITE
HTTP method: PUT
Destination: m3ter
Modify a specific Commitment.
Update the details of the Commitment with the given UUID. Use this endpoint to adjust Commitment parameters such as the fixed amount, overage surcharge percentage, or associated contract details.
Parameters
Exits
Delete Commitment
Function name:m3ter_DeleteCommitment
Category: WRITE
HTTP method: DELETE
Destination: m3ter
Remove a specific Commitment.
Deletes the Commitment with the given UUID. Use this endpoint when a Commitment is no longer valid or needs to be removed from the system.